﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Session["ds"] = populateGrid();
            Session["newValue"] = null;   
        }

        WebDataGrid1.DataSource = Session["ds"] as DataTable;
        WebDataGrid1.DataBind();
    }

    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("Name");
        DataRow row;
        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();
            row.SetField<string>("Name", "Name" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }
    protected void WebDataGrid1_RowAdding(object sender, Infragistics.Web.UI.GridControls.RowAddingEventArgs e)
    {
        DataRow row = ((DataTable)Session["ds"]).NewRow();
        row.SetField<string>("Name", e.Values["Name"].ToString());
        ((DataTable)Session["ds"]).Rows.Add(row);

        Session["newValue"] = e.Values["Name"];
    }
    protected void WebDataGrid1_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
    {
        if (Session["newValue"] != null && (e.Row.Items[1].Value == Session["newValue"]))
        {
            TextBox box = e.Row.Items[0].FindControl("TextBox1") as TextBox;
            box.Text = "New Row";
        }
    }
}